aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJeff Mickey <jmickey@netapp.com>2009-12-02 15:50:03 -0500
committerJeff Mickey <jmickey@netapp.com>2009-12-02 15:50:03 -0500
commite5dca3b08daec91fff1aa8bcbb3eb5d9a7552c2b (patch)
tree724a40f6aa8bc8f5b8721593e6fc39ee7c43b678
parentab5168d1b18e51a0aa469ea1682c1ed2ddd559e1 (diff)
downloadministat-e5dca3b08daec91fff1aa8bcbb3eb5d9a7552c2b.zip
ministat-e5dca3b08daec91fff1aa8bcbb3eb5d9a7552c2b.tar.xz
Added Archlinux PKGBUILD
Signed-off-by: Jeff Mickey <j@codemac.net>
-rw-r--r--package/PKGBUILD40
-rw-r--r--package/README1
2 files changed, 41 insertions, 0 deletions
diff --git a/package/PKGBUILD b/package/PKGBUILD
new file mode 100644
index 0000000..2bfe81e
--- /dev/null
+++ b/package/PKGBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Jeff 'codemac' Mickey <jeff@archlinux.org>;
+
+pkgname=ministat-git
+pkgver=20091202
+pkgrel=1
+pkgdesc="A small tool to do the statistics legwork on benchmarks etc."
+arch=('i686' 'x86_64')
+url="http://github.com/codemac/ministat"
+license=('custom')
+depends=('glibc')
+makedepends=('git')
+provides=('ministat')
+conflicts=('ministat')
+replaces=('ministat')
+md5sums=()
+
+_gitroot="git://github.com/codemac/ministat.git"
+_gitname="ministat"
+
+build() {
+ cd "$srcdir"
+ msg "Connecting to GIT server...."
+
+ if [ -d $_gitname ] ; then
+ cd $_gitname && git pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot
+ fi
+
+ msg "GIT checkout done or server timeout"
+ msg "Starting make..."
+
+ rm -rf "$srcdir/$_gitname-build"
+ git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
+ cd "$srcdir/$_gitname-build"
+
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
diff --git a/package/README b/package/README
new file mode 100644
index 0000000..1b6db8a
--- /dev/null
+++ b/package/README
@@ -0,0 +1 @@
+Place any ebuilds, pkgbuilds, whatever here for other distros.